E46 320d INPA Question: SGBD versions do not match

Notices
 

Thread: E46 320d INPA Question: SGBD versions do not match

Reply to Thread
Results 1 to 4 of 4
  1. E46 320d INPA Question: SGBD versions do not match 
    #1
    Bimmer Fan
    Car Details
    AdrianEvans's Car Details
    Model of Car:
    320d
    Year of Manufacture:
    2003
    Transmission Type:
    Manual
    Car Body Type:
    Saloon

    Join Date
    Mar 2011
    Location
    West Yorkshire
    Posts
    4
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Thanks to joylove's post I procured myself a OBD11-USB kkl cable and modified it by joining up the 7 and 8 pins.

    I have installed INPA with INPA version 5.0.2 and Edibas version 6.4.7.

    Last night I hooked it up to my car and got it working.

    When I select Engine and DDE 5.0 for M47 new (I assume this is the correct one since my engine is M47TUD20). I get an error pop-up:

    Checking versions

    versions do not match.
    Malfunction possible!

    SGBD version: 1.040 (in INPA)
    SGBD version: 5.000
    INPA version: 1.020

    If I click on continue things seem to work, including being able to read out error memory.

    Does anybody know about this SGBD version issue and how I might go about making the versions match?

    Thanks
     
     

  2. Remove Advertisements
    BimmerForums.co.uk
    Advertisements
     

  3.  
    #2
    BMW Guru
    Car Details
    SlowTech's Car Details
    Model of Car:
    330ci
    Year of Manufacture:
    2003
    Transmission Type:
    Manual
    Car Body Type:
    Coupe
    SlowTech's Avatar
    Join Date
    Mar 2009
    Location
    North West
    Posts
    7,043
    Thanks
    3,720
    Thanked 3,799 Times in 3,107 Posts
    I get the same error but it doesn't affect the diagnostic so have just lived with it, sorry don't know how to match versions!
     
     

  4.  
    #3
    Bimmer Fan
    Car Details
    FritzP's Car Details
    Model of Car:
    320d
    Year of Manufacture:
    2006
    Transmission Type:
    Manual
    Car Body Type:
    Saloon

    Join Date
    Oct 2010
    Location
    Norway
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Quote Originally Posted by AdrianEvans View Post
    Thanks to joylove's post I procured myself a OBD11-USB kkl cable and modified it by joining up the 7 and 8 pins.

    I have installed INPA with INPA version 5.0.2 and Edibas version 6.4.7.

    Last night I hooked it up to my car and got it working.

    When I select Engine and DDE 5.0 for M47 new (I assume this is the correct one since my engine is M47TUD20). I get an error pop-up:

    Checking versions

    versions do not match.
    Malfunction possible!

    SGBD version: 1.040 (in INPA)
    SGBD version: 5.000
    INPA version: 1.020

    If I click on continue things seem to work, including being able to read out error memory.

    Does anybody know about this SGBD version issue and how I might go about making the versions match?

    Thanks
    You will have to update your D50M47.PRG file found in ECU folder under Ediabas.
    Get the files from SP daten V41 which is available for download several places at internet, earlier daten will also do the work as the last update for D50M47.PRG was back in 2004.
    Last edited by FritzP; 17-09-2011 at 12:35.
     
     

  5. Remove Advertisements
    BimmerForums.co.uk
    Advertisements
     

  6.  
    #4
    Bimmer Fan
    Car Details
    dodo's Car Details
    Model of Car:
    320d Automatic 150hp
    Year of Manufacture:
    10/2001
    Transmission Type:
    Automatic
    Car Body Type:
    Saloon

    Join Date
    Feb 2012
    Location
    Austria
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    I also get this error.

    I have updatet with V41. But still same error. Also there is no D50M47.PRG file in the ecu folder. There are D50M47a.PRG and D50M47b.PRG files.
     
     


Tags for this Thread

View Tag Cloud

Posting Permissions
  • You may post new threads
  • You may post replies
  • You may not post attachments
  • You may not edit your posts